Innehåll

# BASE

Converts a positive integer to a specified base into a text from the numbering system. The digits 0-9 and the letters A-Z are used.

#### Syntax

BASE(Number; Radix [; MinimumLength])

Tal är det positiva heltal som ska omvandlas.

Radix indicates the base of the numeral system. It may be any positive integer between 2 and 36.

Minimilängd (valfritt) anger minimilängd för teckensekvensen som skapats. Om texten är kortare än den angivna minimilängden, läggs nollor till vänster om strängen.

#### Exempel

=BAS(17;10;4) returnerar 0017 i decimalsystemet.

=BAS(17;2) returnerar 10001 i det binära systemet.

=BAS(255;16;4) returnerar 00FF i hexadecimalsystemet.

Närliggande ämnen

BASE wiki page.

DECIMAL

Text Functions